RK-J - Feature #2310

Make solution graph lesson mobile friendly
05/02/2022 10:25 AM - Ram Kordale

Status: Closed Start date: 05/06/2022
Priority: Normal Due date: 05/06/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 2.00 hours
Description

For example, we need to handle the TOC with a collapsible button.

1. Add the toggle sidebar menu for the table of contents in the mobile view.
2. In front of share icons, add the toggle symbol with the text table of contents.

For reference:

1. https://material.angular.io/components/sidenav/overview

2. https://www.syncfusion.com/angular-ui-components/angular-sidebar#:~:text=Angular%20Sidebar%200r%20Sidenav%20menu,

hidden%20based%200n%20user%20interactions.

3. https://stackblitz.com/run?file=src/app/sidenav-open-close-example.ts

History

#1 - 05/02/2022 10:40 AM - Ayush Khandelwal

- Description updated

- Due date set to 05/02/2022

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- Estimated time set to 3.00 h

#2 - 05/03/2022 05:07 AM - Rishabh Sharma

- Status changed from New to In Progress

#3 - 05/05/2022 12:58 PM - Rishabh Sharma

- Status changed from In Progress to Resolved

#4 - 05/05/2022 12:58 PM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#5 - 05/06/2022 12:51 PM - Ayush Khandelwal

- File Screenshot from 2022-05-06 18-19-43.png added

- Status changed from Feedback to Reopened

- Assignee changed from Ayush Khandelwal to Rishabh Sharma

If the header is not visible on the mobile screen then show the table of contents from the top. PFA for the issue.

#6 - 05/06/2022 02:28 PM - Rishabh Sharma

- Status changed from Reopened to In Progress

#7 - 05/09/2022 06:32 AM - Rishabh Sharma

- Status changed from In Progress to Resolved

#8 - 05/10/2022 06:30 AM - Rishabh Sharma

- Status changed from Resolved to Feedback
- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#9 - 05/16/2022 10:19 AM - Ayush Khandelwal

Working as expected

#10 - 05/16/2022 12:54 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#11 - 07/18/2022 02:20 PM - Ram Kordale
- Status changed from Feedback to Closed
